Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcUtf16ToUcs4

## Name

FcUtf16ToUcs4 -- convert UTF-16 to UCS4

## Synopsis

    #include <fontconfig.h>

``int FcUtf16ToUcs4`(FcChar8 *src, FcEndianendian, FcChar32 *dst, intlen);`

## Description

Converts the next Unicode char from src into dst and returns the number of bytes containing the char. src must be at least len bytes long. Bytes of src are combined into 16-bit units according to endian.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcUtf8Len | Up | FcUtf16Len